<template>
  <div>
    <span v-for="example in env.exampleFiles" :key="example">
      <nuxt-link :to="`/${example}`">{{ example }}</nuxt-link>
      &nbsp;
    </span>

    <template v-if="exampleComponent">
      <no-ssr
        ><component :is="exampleComponent" v-bind="env"></component
      ></no-ssr>
    </template>
    <p v-else>Loading…</p>
  </div>
</template>

<script>
export default {
  data() {
    return {
      exampleComponent: null
    }
  },

  asyncData({ env }) {
    return { env }
  },

  mounted() {
    import(`~/components/${this.$route.params.example}-example.vue`).then(
      module => {
        this.exampleComponent = module.default
      }
    )
  }
}
</script>
